package com.ssj.service.kmt.dto;

import java.io.Serializable;

/**
 * @author yanghuan
 * @title: KnowledgerTeacherSalaryDto
 * @projectName ssj
 * @description: TODO
 * @date 2019/7/23 11:13
 */
public class KnowledgerTeacherSalaryDto implements Serializable {

    private static final long serialVersionUID = 1L;


    private  String teacherId;

    private  String imgUrl;

    private  String name;

    private String identity;

    private  String manager;

    private String subject;

   private  String type;

    private  int actualAttendCount;

    private  int shouldAttendCount;

    private  String attendanceRate;

    private  String accuracy;

    private String correctDecution;

    private  int totalAutoCount;

    private  int grade;

    private  int whetherHaveBasicSalary;

    private  int correctCount;

    private  String total;

    public String getBasicSalary() {
        return basicSalary;
    }

    public void setBasicSalary(String basicSalary) {
        this.basicSalary = basicSalary;
    }

    private  String basicSalary;

    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getWhetherHaveBasicSalary() { return whetherHaveBasicSalary; }

    public void setWhetherHaveBasicSalary(int whetherHaveBasicSalary) { this.whetherHaveBasicSalary = whetherHaveBasicSalary; }

    public int getCorrectCount() {
        return correctCount;
    }

    public void setCorrectCount(int correctCount) {
        this.correctCount = correctCount;
    }

    public String getTotal() {
        return total;
    }

    public void setTotal(String total) {
        this.total = total;
    }

    public String getIdentity() {
        return identity;
    }

    public void setIdentity(String identity) {
        this.identity = identity;
    }

    public String getManager() {
        return manager;
    }

    public void setManager(String manager) {
        this.manager = manager;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public int getActualAttendCount() {
        return actualAttendCount;
    }

    public void setActualAttendCount(int actualAttendCount) {
        this.actualAttendCount = actualAttendCount;
    }

    public int getShouldAttendCount() {
        return shouldAttendCount;
    }

    public void setShouldAttendCount(int shouldAttendCount) {
        this.shouldAttendCount = shouldAttendCount;
    }

    public String getAttendanceRate() {
        return attendanceRate;
    }

    public void setAttendanceRate(String attendanceRate) {
        this.attendanceRate = attendanceRate;
    }

    public String getAccuracy() {
        return accuracy;
    }

    public void setAccuracy(String accuracy) {
        this.accuracy = accuracy;
    }

    public String getCorrectDecution() {
        return correctDecution;
    }

    public void setCorrectDecution(String correctDecution) {
        this.correctDecution = correctDecution;
    }

    public int getTotalAutoCount() {
        return totalAutoCount;
    }

    public void setTotalAutoCount(int totalAutoCount) {
        this.totalAutoCount = totalAutoCount;
    }

    public int getGrade() {
        return grade;
    }

    public void setGrade(int grade) {
        this.grade = grade;
    }
}
